Subject: Re: bug#20521: Viper version is 3.14.2 of July 4, 2013; After some hours of use I don't enter viper mode automatically on new files

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 10 Feb 2022 09:11:57 +0100

Johan Bockgård <[email-masked]> writes:

> Apparently even an explicit setq-local (make-local-variable) cannot
> create a local binding in the situation that the second paragraph talks
> about:
>
> (progn
>   (make-variable-buffer-local 'x)
>   (let ((x 0))
>     (setq-local x 1)
>     (cons (local-variable-p 'x)
>           (default-value 'x))))
>  => (nil . 1)

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

It looks like this has been fixed in the years since it was reported --
this form evaluates to (t) in Emacs 29, so I'm closing this bug report.
If there's more to be done here, please respond to the debbugs address
and we'll reopen.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no